# Uses of Interface co.aikar.commands.contexts.ContextResolver (ACF (Core) 0.5.1-SNAPSHOT API)
use: package: co.aikar.commands.contexts, interface: ContextResolver

# Uses of Interface
co.aikar.commands.contexts.ContextResolver

Packages that use ContextResolver
Package
Description
co.aikar.commands
co.aikar.commands.contexts

## Uses of ContextResolver in co.aikar.commands

Fields in co.aikar.commands with type parameters of type ContextResolver
Modifier and Type
Field
Description
`protected final Map<Class<?>,ContextResolver<?,R>>`
CommandContexts.`contextMap`
Methods in co.aikar.commands that return ContextResolver
Modifier and Type
Method
Description
`ContextResolver<?,R>`
CommandContexts.`getResolver(Class<?> type)`
`ContextResolver<?,CEC>`
CommandParameter.`getResolver()`
Methods in co.aikar.commands with parameters of type ContextResolver
Modifier and Type
Method
Description
`<T> void`
CommandContexts.`registerContext(Class<T> context, ContextResolver<T,R> supplier)`
Registers a context that requires input from the command issuer to resolve.
`void`
CommandParameter.`setResolver(ContextResolver<?,CEC> resolver)`

## Uses of ContextResolver in co.aikar.commands.contexts

Subinterfaces of ContextResolver in co.aikar.commands.contexts
Modifier and Type
Interface
Description
`interface`
`IssuerAwareContextResolver<T,C extends CommandExecutionContext<?,? extends CommandIssuer>>`
`interface`
`IssuerOnlyContextResolver<T,C extends CommandExecutionContext<?,? extends CommandIssuer>>`
A context resolver that will never consume input, and only resolves using the context of the issuer of the command
`interface`
`OptionalContextResolver<T,C extends CommandExecutionContext<?,? extends CommandIssuer>>`
The same as `ContextResolver`, however it can accept a null context.
`interface`
`SenderAwareContextResolver<T,C extends CommandExecutionContext<?,? extends CommandIssuer>>`
Deprecated.
Please use `IssuerAwareContextResolver`